<script context="module">
  // @ts-ignore
  import { getArticlesOfCategory } from "$requesters/requesters";
  
  export async function load({ params, fetch}) {
    const response = await getArticlesOfCategory(decodeURIComponent(params.category),{fetchWith: fetch});
    console.log(response);
    return {
      status: response.status,
      props: {
        category: response.body
      }
    };
  }
</script>
  
<script>
  // @ts-ignore
  import ArticleCard from "$components/blog/ArticleCard.svelte";

  export let category = {};
</script>

{#each category.articles as article}
  <ArticleCard {article} />
{/each}
  